com.orsoncharts.util.json.parser

## Class Yytoken

- java.lang.Object
- - com.orsoncharts.util.json.parser.Yytoken

-     public class Yytoken
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `type`
    `static int` | `TYPE_COLON`
    `static int` | `TYPE_COMMA`
    `static int` | `TYPE_EOF`
    `static int` | `TYPE_LEFT_BRACE`
    `static int` | `TYPE_LEFT_SQUARE`
    `static int` | `TYPE_RIGHT_BRACE`
    `static int` | `TYPE_RIGHT_SQUARE`
    `static int` | `TYPE_VALUE`
    `java.lang.Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Yytoken(int type, java.lang.Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_VALUE

          public static final int TYPE_VALUE

      See Also:
        Constant Field Values

    - #### TYPE_LEFT_BRACE

          public static final int TYPE_LEFT_BRACE

      See Also:
        Constant Field Values

    - #### TYPE_RIGHT_BRACE

          public static final int TYPE_RIGHT_BRACE

      See Also:
        Constant Field Values

    - #### TYPE_LEFT_SQUARE

          public static final int TYPE_LEFT_SQUARE

      See Also:
        Constant Field Values

    - #### TYPE_RIGHT_SQUARE

          public static final int TYPE_RIGHT_SQUARE

      See Also:
        Constant Field Values

    - #### TYPE_COMMA

          public static final int TYPE_COMMA

      See Also:
        Constant Field Values

    - #### TYPE_COLON

          public static final int TYPE_COLON

      See Also:
        Constant Field Values

    - #### TYPE_EOF

          public static final int TYPE_EOF

      See Also:
        Constant Field Values

    - #### type

          public int type

    - #### value

          public java.lang.Object value

  - ### Constructor Detail

    - #### Yytoken

          public Yytoken(int type,
                         java.lang.Object value)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`